## org.eclipse.emf.cdo.view
Class AbstractCDOViewProvider

    java.lang.Object
      org.eclipse.emf.cdo.view.AbstractCDOViewProvider

All Implemented Interfaces:
  CDOViewProvider

Direct Known Subclasses:
  ManagedContainerViewProvider

    public abstract class AbstractCDOViewProvider

extends java.lang.Object
implements CDOViewProvider

Base logic to handle CDOViewProvider priority and regular expression.

Since:
  2.0

Field Summary

Fields inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider
`DEFAULT_PRIORITY`

Constructor Summary
`AbstractCDOViewProvider()`
`AbstractCDOViewProvider(java.lang.String regex)`
`AbstractCDOViewProvider(java.lang.String regex, int priority)`

Method Summary
`int` `getPriority()` Returns the priority of this provider.
`java.lang.String` `getRegex()` Returns the regular expression that determines if the provider can handle certain URI
`boolean` `matchesRegex(org.eclipse.emf.common.util.URI uri)` Checks if the URI matches with the regular expression of this provider
`void` `setPriority(int priority)`
`void` `setRegex(java.lang.String regex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider
`getView`

Constructor Detail

### AbstractCDOViewProvider

    public AbstractCDOViewProvider()

### AbstractCDOViewProvider

    public AbstractCDOViewProvider(java.lang.String regex,
                                   int priority)

### AbstractCDOViewProvider

    public AbstractCDOViewProvider(java.lang.String regex)

Method Detail

### getPriority

    public int getPriority()

  Description copied from interface: `CDOViewProvider`
  Returns the priority of this provider. Usually used to choose between several `CDOViewProvider` that match the same repository URI.

  Specified by:
    `getPriority` in interface `CDOViewProvider`

### setPriority

    public void setPriority(int priority)

### getRegex

    public java.lang.String getRegex()

  Description copied from interface: `CDOViewProvider`
  Returns the regular expression that determines if the provider can handle certain URI

  Specified by:
    `getRegex` in interface `CDOViewProvider`

### setRegex

    public void setRegex(java.lang.String regex)

### matchesRegex

    public boolean matchesRegex(org.eclipse.emf.common.util.URI uri)

  Description copied from interface: `CDOViewProvider`
  Checks if the URI matches with the regular expression of this provider

  Specified by:
    `matchesRegex` in interface `CDOViewProvider`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.